#include <wx/wx.h>
#include <wx/filename.h>
#include <wx/stdpaths.h>
#include "MyApp.h"
#include "MyGUI.h"

IMPLEMENT_APP(MyApp)

bool MyApp::OnInit()
{
    this->SetAppName("m3u2cue");

    wxString exeName = wxStandardPaths::Get().GetExecutablePath();

    if ( wxFileName(exeName + ".log").FileExists() ) {
        ::wxRemoveFile(exeName + ".log");
    }

    MyGUI* frame = new MyGUI(this->GetAppName(), wxPoint(50,50), wxSize(580,440));
    frame->Show(TRUE);
    this->SetTopWindow(frame);

    return TRUE;
}
